
TYPO3.Flow - Feature # 1676

Status: Resolved Priority: Could have
Author: Bastian Waidelich Category:
Created: 2008-10-11 Assigned To:
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: FLOW3, Persistence: support for "magic finder methods"
Description

it would be great, if the base repository would offer interceptor methods returning a subset of stored objects based on properties.
This could look something like:

$customerRepository->findByName('Skårhøj');

returning an array of customer objects with the property "name" of "Skårhøj". And:

$customerRepository->findOneByName('Skårhøj');

to return the first matching object. And maybe something like:

$customerRepository->find($id);

to return a single object with a matching identifier property.

Related issues:
duplicated by TYPO3.Flow - Feature # 2603: Implement magic findBy*() and find... Resolved 2009-02-10

Associated revisions
Revision d76c6aaf - 2009-02-10 20:26 - Robert Lemke

    -  FLOW3: (Persistence) Implemented magic findBy*() and findOneBy*() methods for the base repository. Resolves #1676 and closes #2603.

History
#1 - 2008-10-11 11:10 - Bastian Waidelich
- Project changed from TYPO3.TYPO3CR to TYPO3.Flow

#2 - 2009-02-10 21:00 - Robert Lemke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1890.
